Index: trunk/grails-app/views/maintenanceAction/show.gsp
===================================================================
--- trunk/grails-app/views/maintenanceAction/show.gsp	(revision 178)
+++ trunk/grails-app/views/maintenanceAction/show.gsp	(revision 268)
@@ -30,14 +30,7 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Maintenance Policy:</td>
+                            <td valign="top" class="name">Section:</td>
                             
-                            <td valign="top" class="value"><g:link controller="maintenancePolicy" action="show" id="${maintenanceActionInstance?.maintenancePolicy?.id}">${maintenanceActionInstance?.maintenancePolicy?.encodeAsHTML()}</g:link></td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">System Section:</td>
-                            
-                            <td valign="top" class="value"><g:link controller="systemSection" action="show" id="${maintenanceActionInstance?.systemSection?.id}">${maintenanceActionInstance?.systemSection?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="section" action="show" id="${maintenanceActionInstance?.section?.id}">${maintenanceActionInstance?.section?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -51,28 +44,14 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Asset Type:</td>
+                            <td valign="top" class="name">Asset Sub Item:</td>
                             
-                            <td valign="top" class="value"><g:link controller="assetType" action="show" id="${maintenanceActionInstance?.assetType?.id}">${maintenanceActionInstance?.assetType?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="assetSubItem" action="show" id="${maintenanceActionInstance?.assetSubItem?.id}">${maintenanceActionInstance?.assetSubItem?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Assembly:</td>
+                            <td valign="top" class="name">Maintenance Policy:</td>
                             
-                            <td valign="top" class="value"><g:link controller="assembly" action="show" id="${maintenanceActionInstance?.assembly?.id}">${maintenanceActionInstance?.assembly?.encodeAsHTML()}</g:link></td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Sub Assembly:</td>
-                            
-                            <td valign="top" class="value"><g:link controller="subAssembly" action="show" id="${maintenanceActionInstance?.subAssembly?.id}">${maintenanceActionInstance?.subAssembly?.encodeAsHTML()}</g:link></td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Component Item:</td>
-                            
-                            <td valign="top" class="value"><g:link controller="componentItem" action="show" id="${maintenanceActionInstance?.componentItem?.id}">${maintenanceActionInstance?.componentItem?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="maintenancePolicy" action="show" id="${maintenanceActionInstance?.maintenancePolicy?.id}">${maintenanceActionInstance?.maintenancePolicy?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -93,14 +72,14 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Is Active:</td>
+                            <td valign="top" class="name">Reasoning:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:maintenanceActionInstance, field:'isActive')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:maintenanceActionInstance, field:'reasoning')}</td>
                             
                         </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Reasoning:</td>
+                            <td valign="top" class="name">Is Active:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:maintenanceActionInstance, field:'reasoning')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:maintenanceActionInstance, field:'isActive')}</td>
                             
                         </tr>
